Loading...
Searching...
No Matches
apr_allocator.h File Reference

APR Internal Memory Allocation. More...

`#include "apr.h"`
`#include "apr_errno.h"`
`#include "apr_want.h"`
`#include "apr_pools.h"`
`#include "apr_thread_mutex.h"`
Include dependency graph for apr_allocator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_memnode_t

## Macros

#define | APR_WANT_MEMFUNC
#define | APR_MEMNODE_T_SIZE APR_ALIGN_DEFAULT(sizeof(apr_memnode_t))
#define | APR_ALLOCATOR_MAX_FREE_UNLIMITED 0

## Typedefs

typedef struct apr_allocator_t | apr_allocator_t
typedef struct apr_memnode_t | apr_memnode_t

## Functions

apr_status_t | apr_allocator_create (apr_allocator_t **allocator)
void | apr_allocator_destroy (apr_allocator_t *allocator)
apr_memnode_t * | apr_allocator_alloc (apr_allocator_t *allocator, apr_size_t size)
void | apr_allocator_free (apr_allocator_t *allocator, apr_memnode_t *memnode)
apr_size_t | apr_allocator_align (apr_allocator_t *allocator, apr_size_t size)
void | apr_allocator_owner_set (apr_allocator_t *allocator, apr_pool_t *pool)
apr_pool_t * | apr_allocator_owner_get (apr_allocator_t *allocator)
void | apr_allocator_max_free_set (apr_allocator_t *allocator, apr_size_t size)
void | apr_allocator_mutex_set (apr_allocator_t *allocator, apr_thread_mutex_t *mutex)
apr_thread_mutex_t * | apr_allocator_mutex_get (apr_allocator_t *allocator)

## Detailed Description

APR Internal Memory Allocation.

## Macro Definition Documentation

## APR_WANT_MEMFUNC

#define APR_WANT_MEMFUNC

For no good reason?